[Risolto] Errore nel caricare TkCximage di amsn

Problemi e suggerimenti legati al software e ai pacchetti problematici.
Rispondi
karandras
Novello Arciere
Messaggi: 49
Iscritto il: 9 luglio 2008, 18:34

Messaggio da karandras » 26 dicembre 2008, 10:58

ciao a tutti....fino a ieri ho chattato con il caro amsn il quale funzionava alla perfezione. Sempre ieri poi ho aggiornato il sistema (ho installato l'x86_64) e tutto andava a meraviglia....certo, poi spengo il pc, stamattina al riavvio trovo tutto funzionante ma se vado ad aprire amsn mi spara un messaggio di errore contenente la seguente frase :

Loading TkCximage failed. This module is needed to run amsn. please compile amsn first

ora, quindi, la mia domanda è :
è possibile che sia colpa di un aggiornamento? Devo attendere altri aggiornamenti che mi sistemino il problema oppure posso risolverlo da solo?

ho già tentato di cancellare completamente amsn (pacman -Rsc amsn), poi ho resettato la cache di pacman (pacman -Scc), o risincronizzato i repository (pacman -Sy) e reinstallato il tutto (pacman -S amsn), ma il problema naturalmente è rimasto li....
Posso fare altro che non mi viene in mente?

Avatar utente
Berseker
Amministratore
Messaggi: 4432
Iscritto il: 27 settembre 2007, 10:18
Architettura: x86_64 (64bit)
Località: Lecco (provincia)

Messaggio da Berseker » 26 dicembre 2008, 11:00

penso che dovresti ricompilarti amsn con le nuove tktcl visto che sono state aggiornate proprio in questi giorni...
Leggete il Regolamento e cercate sempre su googleforumwiki prima di chiedere.
Tag x thread risolti: [Risolto] + Spazio messo all'inizio del titolo. Grazie

ArchWiki / Board Internazionale / Blog

Avatar utente
ilpianista
Amministratore
Messaggi: 2952
Iscritto il: 6 ottobre 2007, 0:41
Località: Lecce, Italy
Contatta:

Messaggio da ilpianista » 26 dicembre 2008, 11:24


karandras
Novello Arciere
Messaggi: 49
Iscritto il: 9 luglio 2008, 18:34

Messaggio da karandras » 26 dicembre 2008, 12:18

ok quindi il problema risale proprio all'aggiornamento, dato che mi avete confermato la nuova versione delle tk/tlc. proverò la ricompilazione di amsn allora, ma comunque la cosa non dovrebbe anche risolversi con i normali aggiornamenti?
grazie delle risposte!

FDA
Novello Arciere
Messaggi: 84
Iscritto il: 24 giugno 2008, 18:16

Messaggio da FDA » 26 dicembre 2008, 17:39

già ricompilato (sia la stabile che la svn), niente non va, probabilmente questa versione delle tcl/tk non sta molto simpatica a Amsn ^_^
Ultima modifica di FDA il 26 dicembre 2008, 17:44, modificato 1 volta in totale.

marinz
Little John
Messaggi: 907
Iscritto il: 30 agosto 2007, 20:10
Contatta:

Messaggio da marinz » 26 dicembre 2008, 18:05

Confermo il problema, ho avuto la sorpresina anch'io
DE: slim && (openbox || kde 4.5)

Avatar utente
Berseker
Amministratore
Messaggi: 4432
Iscritto il: 27 settembre 2007, 10:18
Architettura: x86_64 (64bit)
Località: Lecco (provincia)

Messaggio da Berseker » 26 dicembre 2008, 19:01

beh allora non vi resta che

1) o mollate il pachiderma Amsn e passate a qualcosa di più leggero (per le gtk, ci sono i vari pidgin, emesene, galaxium (in mono-gtk) ), per le qt4 sinceramente ora non saprei (forse kmess, se l'hanno convertito in qt4?)

2) o semplicemente downgradate le tktcl e le mettete in holdpackage ^^
Leggete il Regolamento e cercate sempre su googleforumwiki prima di chiedere.
Tag x thread risolti: [Risolto] + Spazio messo all'inizio del titolo. Grazie

ArchWiki / Board Internazionale / Blog

marinz
Little John
Messaggi: 907
Iscritto il: 30 agosto 2007, 20:10
Contatta:

Messaggio da marinz » 26 dicembre 2008, 20:42

@karandras: Se vuoi risolvere il problema segui il secondo punto di Berseker, altrimenti se vuoi usare un'altro programma e usi gnome ti stra-consiglio pidgin, è leggero, pulito e si comporta più che bene con il protocollo di msn
DE: slim && (openbox || kde 4.5)

lele85
Novello Arciere
Messaggi: 71
Iscritto il: 18 febbraio 2008, 9:46
Località: Jesi (AN)
Contatta:

Messaggio da lele85 » 26 dicembre 2008, 21:16

(forse kmess, se l'hanno convertito in qt4?)

Si lo uso e la svn per le mie esigenze è perfetta!

valeriocd
Novello Arciere
Messaggi: 77
Iscritto il: 20 gennaio 2008, 12:09

Messaggio da valeriocd » 27 dicembre 2008, 20:30

sto usando pidgin ma mi piace troppo amsn perchè dovrei rinunciarci .?...

Avatar utente
Giovanni
Developer
Messaggi: 2464
Iscritto il: 26 agosto 2007, 16:33
Località: Livorno
Contatta:

Messaggio da Giovanni » 28 dicembre 2008, 2:07

Non funziona nemmeno la SVN Snapshot.
Per il momento, sembra che non ci siano soluzioni, quindi bisognerà attendere.
Nel frattempo, puoi sempre seguire i consigli di Berseker.
Arch Linux Developer

Avatar utente
ilpianista
Amministratore
Messaggi: 2952
Iscritto il: 6 ottobre 2007, 0:41
Località: Lecce, Italy
Contatta:

Messaggio da ilpianista » 28 dicembre 2008, 2:56

è stato segnalato sul forum ma gli sviluppatori non hanno ancora risposto niente...

Avatar utente
Giovanni
Developer
Messaggi: 2464
Iscritto il: 26 agosto 2007, 16:33
Località: Livorno
Contatta:

Messaggio da Giovanni » 28 dicembre 2008, 2:58

Sì, infatti, avevo letto anche quella pagina.
Arch Linux Developer

Avatar utente
Wolfanger
Arciere
Messaggi: 300
Iscritto il: 15 settembre 2007, 10:39
Località: Insania
Contatta:

Messaggio da Wolfanger » 28 dicembre 2008, 10:05

sto usando pidgin ma mi piace troppo amsn perchè dovrei rinunciarci .?...
pidgin soprattutto con le ultime migliorie mi sta soddisfando appieno. capisco però che pecchi ancora di tante cose tipo supporto webcam.
se prima usavi amsn ti consiglio un altro mattone: mercury ( è java ma ha +/- le stesse caratteristiche)
Mira al sole, la tua freccia non potrà mai raggiungerlo: ma volerà nobilmente e lontana.
Immagine

Avatar utente
Giovanni
Developer
Messaggi: 2464
Iscritto il: 26 agosto 2007, 16:33
Località: Livorno
Contatta:

Messaggio da Giovanni » 29 dicembre 2008, 1:45

Ho aggiunto le patch consigliate dagli sviluppatori di amsn: http://www.amsn-project.net/forums/view ... 6149#35891
Risultato: adesso amsn parte senza messaggi di errore, però non riesco a fare il login.
Stay tuned.
Arch Linux Developer

Biagio
Arciere Provetto
Messaggi: 730
Iscritto il: 26 febbraio 2008, 17:21
Località: Firenze

Messaggio da Biagio » 30 dicembre 2008, 0:53

Giovanni ha scritto:Ho aggiunto le patch consigliate dagli sviluppatori di amsn: http://www.amsn-project.net/forums/view ... 6149#35891
Risultato: adesso amsn parte senza messaggi di errore, però non riesco a fare il login.
Stay tuned.
Con il pacman -Syu di poco fa, amsn ritorna a funzionare.
Grazie.

Avatar utente
Giovanni
Developer
Messaggi: 2464
Iscritto il: 26 agosto 2007, 16:33
Località: Livorno
Contatta:

Messaggio da Giovanni » 30 dicembre 2008, 1:20

Biagio ha scritto:Con il pacman -Syu di poco fa, amsn ritorna a funzionare.
Sì, lo so, ho aggiornato io il pacchetto alla 0.97.2-3, sia per i686, sia per x86_64.
Adesso stiamo usando la versione SVN Snapshot del 29-12-2008 e la useremo fino a quando gli sviluppatori di amsn non risolveranno quei problemi con tcl/tk 8.5.6 o, comunque, fino al rilascio della prossima versione 0.98.
Arch Linux Developer

Rispondi